apiVersion: backstage.io/v1alpha1
kind: Component
metadata:
  name: 'MytestingProject'
  description: 'Nodejs express application for api '
  annotations:
    gitlab.com/project-slug: https://gitlab.com/shivam.bisht2/mytestingproject
    backstage.io/techdocs-ref: dir:.
    aws.com/lambda-function-name: mybackstageLambdaFunc
    aws.com/lambda-region: us-east-1
    backstage.io/adr-location: docs/adrs
  links:
    - url: https://dashboard.example.com
      title: My Dashboard
      icon: dashboard
spec:
  type: documentation
  lifecycle: experimental
  owner: 'shivam.bisht2'
